aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlex Gaynor <alex.gaynor@gmail.com>2013-11-06 14:14:03 -0800
committerAlex Gaynor <alex.gaynor@gmail.com>2013-11-06 14:14:03 -0800
commit60d4c68845aff3d44902cb978231fa01a5e74359 (patch)
tree25656469084c3f20447b9fcda971cd02c1342d81
parentab0bf18f37567ef3e9c50191938278630e390f29 (diff)
parentf0943938e7ded1e02dc3136772ec42b431c9d291 (diff)
downloadcryptography-60d4c68845aff3d44902cb978231fa01a5e74359.tar.gz
cryptography-60d4c68845aff3d44902cb978231fa01a5e74359.tar.bz2
cryptography-60d4c68845aff3d44902cb978231fa01a5e74359.zip
Merge pull request #229 from dreid/dont-silence-apt-failures
Don't silence any failures.
-rw-r--r--.travis.yml10
-rwxr-xr-x.travis/install.sh28
2 files changed, 29 insertions, 9 deletions
diff --git a/.travis.yml b/.travis.yml
index 8350ebca..0a8771ef 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -26,15 +26,7 @@ env:
- TOX_ENV=py3pep8
install:
- - "sudo add-apt-repository \"deb http://archive.ubuntu.com/ubuntu/ lucid main\""
- - sudo add-apt-repository -y ppa:pypy/ppa
- - sudo apt-get -y update || true
- - "[[ ${OPENSSL} == \"0.9.8\" ]] && sudo apt-get -y --force-yes install libssl-dev/lucid || true"
- - "[[ ${TOX_ENV} == pypy ]] && sudo apt-get -y install pypy || true"
- # This is required because we need to get rid of the Travis installed PyPy
- # or it'll take precedence over the PPA installed one.
- - "[[ ${TOX_ENV} == pypy ]] && sudo rm -rf /usr/local/pypy/bin || true"
- - pip install tox coveralls
+ - ./.travis/install.sh
script:
- tox -e $TOX_ENV
diff --git a/.travis/install.sh b/.travis/install.sh
new file mode 100755
index 00000000..fdd71907
--- /dev/null
+++ b/.travis/install.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+set -e
+set -x
+
+if [[ "${OPENSSL}" == "0.9.8" ]]; then
+ sudo add-apt-repository "deb http://archive.ubuntu.com/ubuntu/ lucid main"
+fi
+
+if [[ "${TOX_ENV}" == "pypy" ]]; then
+ sudo add-apt-repository -y ppa:pypy/ppa
+fi
+
+sudo apt-get -y update
+
+if [[ "${OPENSSL}" == "0.9.8" ]]; then
+ sudo apt-get install -y --force-yes libssl-dev/lucid
+fi
+
+if [[ "${TOX_ENV}" == "pypy" ]]; then
+ sudo apt-get install -y pypy
+
+ # This is required because we need to get rid of the Travis installed PyPy
+ # or it'll take precedence over the PPA installed one.
+ sudo rm -rf /usr/local/pypy/bin
+fi
+
+pip install tox coveralls